package com.biganto.visual.roompark.conductor.dialogs.change_handler

import android.content.pm.ActivityInfo
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.annotation.LayoutRes
import androidx.core.os.bundleOf
import androidx.recyclerview.widget.RecyclerView
import com.biganto.visual.roompark.R
import com.bluelinelabs.conductor.Controller
import com.bumptech.glide.Glide
import com.bumptech.glide.load.engine.DiskCacheStrategy
import com.github.chrisbanes.photoview.PhotoView


/**
 * Created by Vladislav Bogdashkin on 09.04.2019.
 */

internal const val  PHOTO_URL_KEY = "CHHOSE_PHOTO_LIST_KEY"


class PhotoDialogController : Controller {

    constructor(args: Bundle) : super(args)

    constructor(photoUrl: String) : super(bundleOf(PHOTO_URL_KEY to photoUrl))

    lateinit var recyclerView : RecyclerView

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup): View {
        val view = inflater.inflate(getLayoutId(), container, false)

        activity?.requestedOrientation = ActivityInfo.SCREEN_ORIENTATION_USER_LANDSCAPE

        args.getString(PHOTO_URL_KEY)?.let {
            val photoView = view.findViewById<PhotoView>(R.id.photo_frame)
            Glide.with(photoView)
                .load(it)
//                .thumbnail(model.resolutionList.lowelest()?.let { thumb ->
//                    Glide.with(photoPreview).load(thumb.url).diskCacheStrategy(DiskCacheStrategy.ALL)
//                        .centerCrop()
//                })
                .diskCacheStrategy(DiskCacheStrategy.ALL)
                .into(photoView)
        }
        return view
    }

    @LayoutRes
    fun getLayoutId() = R.layout.photo_viewer

    override fun handleBack(): Boolean {
        activity?.requestedOrientation = ActivityInfo.SCREEN_ORIENTATION_USER_PORTRAIT
        return router.popCurrentController()
    }


}
